%global debug_package %{nil}

%global collection_namespace theforeman
%global collection_name operations
%global collection_directory %{_datadir}/ansible/collections/ansible_collections/%{collection_namespace}/%{collection_name}

%global release 1

Name:       ansible-collection-%{collection_namespace}-%{collection_name}
Version:    3.0.0
Release:    1.20250708164657385699.pr177.32.g33393d1%{?dist}
Summary:    The Foreman Project Ansible operations collection

License:    GPLv3+
URL:        https://theforeman.org/plugins/foreman-operations-collection
Source0:    theforeman-operations-3.0.0.tar.gz
BuildArch:  noarch

Provides: ansible-collection(%{collection_namespace}.%{collection_name}) = %{version}

%if 0%{?rhel} == 7
Requires: ansible >= 2.9
%else
Requires: (ansible >= 2.9 or ansible-core)
%endif

%description
Collection of Ansible assets for managing Foreman operations such as install,
upgrade or maintenance tasks.

%prep
%setup -q -c -n theforeman.operations-3.0.0

%build

%install
mkdir -p %{buildroot}%{collection_directory}
cp -a ./* %{buildroot}%{collection_directory}

%files
%{collection_directory}/
%license %{collection_directory}/LICENSE
%doc %{collection_directory}/README.md

%changelog
* Tue Jul 08 2025 Packit <hello@packit.dev> - 3.0.0-1.20250708164657385699.pr177.32.g33393d1
- Bump puppet to version 8 (Chris Roberts)
- Fixes SAT-34224 - Remove protocol from NO_PROXY var (Sayan Das)
- Drop support for Ansible 2.9/2.10/2.11 (Evgeni Golov)
- install ansible and dependencies on one go (Evgeni Golov)
- Use 3.13 not nightly when testing metrics role (Evgeni Golov)
- Pin molecule to < 25.2.0 (Evgeni Golov)
- Don't use become in molecule prepare tasks (Evgeni Golov)
- Ignore .ansible for linting (Evgeni Golov)
- Run CI workflows on Ubuntu 24.04 (Evgeni Golov)
- Drop mention of upgrade in the collection (Eric D. Helms)
- use Podman instead of Docker to run Molecule in CI (Evgeni Golov)
- update EE definition to v3 and use CentOS Stream 9 as base image (Evgeni Golov)
- add packit (Evgeni Golov)
- allow disabling pulling /metrics endpoint (Evgeni Golov)
- Use old Molecule also for 2.10 (Evgeni Golov)
- move dockerfile to central place (Evgeni Golov)
- Switch testing to CentOS Stream 9 (Evgeni Golov)
- lint everything, not just roles (Evgeni Golov)
- enable changelog_nice_yaml from antsibull-changelog 0.28 (Evgeni Golov)
- Only disable `foreman-protector` plugin when running on RHEL (Pablo Méndez Hernández)
- use builtin.package to select yum/dnf correctly on different OSes (Evgeni Golov)
- pin requests to unblock tests on docker (Evgeni Golov)
- add description metadata to all roles (Evgeni Golov)
- unpin ansible-compat (Evgeni Golov)
- run molecule in parallel (Evgeni Golov)
- don't lint as part of the molecule run (Evgeni Golov)
- also distribute yamllint config in release (Evgeni Golov)
- distribute ansible-lint config in release (Evgeni Golov)
- ignore changelog and tests in lint (Evgeni Golov)
- include changelog in release (Evgeni Golov)
- cancel-in-progress for each workflow (Evgeni Golov)
- fix typo in metrics readme (Evgeni Golov)

* Mon Apr 08 2024 Evgeni Golov - 3.0.0-1
- Release ansible-collection-theforeman-operations 3.0.0

* Fri Sep 01 2023 Evgeni Golov - 2.1.0-1
- Release ansible-collection-theforeman-operations 2.1.0

* Thu Jan 05 2023 Evgeni Golov - 1.3.0-1
- Release ansible-collection-theforeman-operations 1.3.0

* Tue May 17 2022 Eric D. Helms <ericdhelms@gmail.com> - 1.2.0-1
- Release ansible-collection-theforeman-operations 1.2.0

* Tue Apr 26 2022 Eric D. Helms <ericdhelms@gmail.com> 1.1.0-1
- Update to 1.1.0

* Mon Mar 28 2022 Evgeni Golov - 1.0.2-1
- Release ansible-collection-theforeman-operations 1.0.2

* Thu Mar 24 2022 Evgeni Golov - 1.0.1-1
- Release ansible-collection-theforeman-operations 1.0.1

* Wed Feb 23 2022 Evgeni Golov - 0.3.0-2
- Require ansible or ansible-core on EL8+

* Tue Apr 20 2021 Eric Helms - 0.3.0-1
- Initial package
